FREXP(3) | Library Functions Manual | FREXP(3)

# NAME

`frexp` — convert floating-point number to fractional and integral components

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`frexp`(double value, int *exp);

float
`frexpf`(float value, int *exp);

long double
`frexpl`(long double value, int *exp);

# DESCRIPTION

The `frexp`() function breaks a floating-point number into a normalized fraction and an integral power of 2. It stores the integer in the int object pointed to by exp.

# RETURN VALUES

The `frexp`() function returns the value x, such that x is a double with magnitude in the interval [1/2, 1) or zero, and value equals x times 2 raised to the power *exp. If value is zero, both parts of the result are zero.

# SEE ALSO

ldexp(3), math(3), modf(3)

# STANDARDS

The `frexp`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

September 10, 2015 | NetBSD 11.0